> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subverseai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Call

> Cancels an outbound call that is still queued. Only calls whose call status is `call_in_queue` can be canceled. Removes the pending queued calls and updates call status to canceled.



## OpenAPI

````yaml PUT /call/cancel/{callId}
openapi: 3.0.0
info:
  title: SubVerse API reference
  description: Detailed guide on how to use the SubVerse APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.subverseai.com/api
security:
  - ApiKeyAuth: []
paths:
  /call/cancel/{callId}:
    put:
      summary: Cancel a queued outbound call
      description: >-
        Cancels an outbound call that is still queued. Only calls whose call
        status is `call_in_queue` can be canceled. Removes the pending queued
        calls and updates call status to canceled.
      parameters:
        - name: callId
          in: path
          description: unique call identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Call canceled successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse'
              examples:
                200 success:
                  summary: 200 - Call canceled successfully
                  value:
                    responseCode: 200
                    message: Call canceled successfully!
                    data:
                      removedJobs: 1
                400 missing-call-id:
                  summary: 400 - Call ID missing
                  value:
                    responseCode: 400
                    message: Call id missing
                    data: null
                400 call-not-found:
                  summary: 400 - Call does not exist for this company
                  value:
                    responseCode: 400
                    message: User call not found.
                    data: null
                400 not-in-queue:
                  summary: 400 - Call cannot be canceled anymore
                  value:
                    responseCode: 400
                    message: This call cannot be canceled as it is no longer in queue.
                    data: null
components:
  schemas:
    ApiResponse:
      type: object
      required:
        - responseCode
        - message
      properties:
        responseCode:
          type: integer
          description: >-
            Always returns 200 value, with error or success response details in
            message.
        message:
          type: string
          description: Success or error message with description.
        data:
          nullable: true
          description: Additional details if available.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Authentication header containing API key from SubVerse dashboard.

````